# Workflow Utilities Auto Subtitle API

> Brennir texta með áherslu á talað orð, í TikTok-stíl, inn í myndband, með stýringum fyrir letur, lit og staðsetningu

Skrifar niður tal í myndbandi og brennir inn texta þar sem orðið sem er talað hverju sinni er auðkennt. Stílvalkostir eru hvaða Google Font-nafn sem er, stærð 20-150, þyngd, texta- og áherslulitir, útlína, bakgrunnslitur og ógagnsæi, auk staðsetningar efst, í miðju eða neðst með lóðréttri hliðrun. `words_per_subtitle` er frá 1 til 12 og hægt er að kveikja eða slökkva á hoppandi hreyfimynd. Skilar einnig uppskrift og tímasetningum orða.

- Model id: `workflow-utilities/auto-subtitle`
- Made by: Utility
- Category: Video to Video
- Output: video
- Price per minute of your input video: $0.03 / minute of input video (cheapest run $0.03 (30 API credits))
- Run: `POST https://api.doitong.com/v1/run/workflow-utilities/auto-subtitle`
- Quote: `POST https://api.doitong.com/v1/quote/workflow-utilities/auto-subtitle`
- Docs page: https://doitong.com/is/developers/models/workflow-utilities/auto-subtitle

## Pricing

Price: **$0.03 / minute of input video**. Price per minute of your input video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.005 = 5 API credits (0.1667 min input video × $0.03).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.com/v1/quote/workflow-utilities/auto-subtitle` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `video_url` | `video` | string (video URL) | yes |  |  | Vefslóð að myndbandi fyrir sjálfvirka innsetningu skjátexta. |
| `language` |  | string | no | `en` |  | Auðkenni tungumáls umritunar, svo sem 'en', 'es', 'fr', 'de', 'it', 'pt', 'nl', 'ja', 'zh' eða 'ko'. Einnig er tekið við 3-stafa ISO-auðkenni á borð við 'eng', 'spa' eða 'fra'. |
| `font_name` |  | string | no | `Montserrat` |  | Leturheiti valið af fonts.google.com; öll Google-letur eru leyfð, þar á meðal 'Montserrat', 'Poppins' og 'BBH Sans Hegarty'. |
| `font_size` |  | integer | no | `100` | 20 – 150 | Leturstærð skjátexta; TikTok-stíll notar stærri texta. |
| `font_weight` |  | enum (string) | no | `bold` | `normal`, `bold`, `black` | Þyngd texta; dæmigerður TikTok-stíll notar bold eða black. |
| `font_color` |  | enum (string) | no | `white` | `white`, `black`, `red`, `green`, `blue`, `yellow`, `orange`, `purple`, `pink`, `brown`, `gray`, `cyan`, `magenta` | Litur sem notaður er fyrir orð skjátextans sem eru ekki virk. |
| `highlight_color` |  | enum (string) | no | `purple` | `white`, `black`, `red`, `green`, `blue`, `yellow`, `orange`, `purple`, `pink`, `brown`, `gray`, `cyan`, `magenta` | Karaoke-líkur áherslulitur sem er notaður á orðið sem er borið fram. |
| `stroke_width` |  | integer | no | `3` | 0 – 10 | Breidd útlínunar eða stroks textans, mæld í pixlum; 0 slekkur á henni. |
| `stroke_color` |  | enum (string) | no | `black` | `black`, `white`, `red`, `green`, `blue`, `yellow`, `orange`, `purple`, `pink`, `brown`, `gray`, `cyan`, `magenta` | Litur sem notaður er á útlínu eða strok textans. |
| `background_color` |  | enum (string) | no | `none` | `black`, `white`, `red`, `green`, `blue`, `yellow`, `orange`, `purple`, `pink`, `brown`, `gray`, `cyan`, `magenta`, `none`, `transparent` | Litur bakgrunnsins fyrir aftan textann; 'none' og 'transparent' slökkva bæði á bakgrunninum. |
| `background_opacity` |  | number | no | `0` | 0 – 1 | Gagnsæi bakgrunns, þar sem 0.0 merkir alveg gagnsætt og 1.0 alveg ógagnsætt. |
| `position` |  | enum (string) | no | `bottom` | `top`, `center`, `bottom` | Staðsetning skjátexta eftir lóðrétta ásnum. |
| `y_offset` |  | integer | no | `75` | -200 – 200 | Lóðrétt tilfærsla í pixlum; jákvæð gildi færa niður, en neikvæð gildi færa upp. |
| `words_per_subtitle` |  | integer | no | `3` | 1 – 12 | Hámarksfjöldi orða í skjátexta; 1 sýnir eitt orð, 2–3 stuttan orðasamband og 8–12 heila setningu í hverjum hluta. |
| `enable_animation` |  | boolean | no | `true` |  | Virkjar hreyfimynd fyrir skjátexta með skoppandi innkomuáhrifum. |

File parameters (`video`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

A fuller example:

```json
{
  "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/auto-subtitle?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.com/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/workflow-utilities/auto-subtitle?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/workflow-utilities/auto-subtitle", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.com/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "workflow-utilities/auto-subtitle",
      "input": {
        "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/auto-subtitle",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "transcription": "string",
    "subtitle_count": 1,
    "words": [
      {}
    ],
    "transcription_metadata": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | Myndband með sjálfvirkt mynduðum skjátexta. |
| `transcription` | string | Heildartexti umritunarinnar. |
| `subtitle_count` | integer | Fjöldi skjátextahluta sem voru búnir til. |
| `words` | array of object \| null | Tímagögn fyrir einstök orð frá umritunarþjónustunni. |
| `transcription_metadata` | object \| null | Viðbótar-lýsigögn frá ElevenLabs fyrir umritunina, þar á meðal tungumál, hlutar og aðrar upplýsingar. |

## Related models

- [Workflow Utilities Extract Nth Frame](https://doitong.com/developers/models/workflow-utilities/extract-nth-frame.md) (`workflow-utilities/extract-nth-frame`): $0.001 / second of processing time
- [Workflow Utilities Pick Image By Index](https://doitong.com/developers/models/workflow-utilities/pick-image-by-index.md) (`workflow-utilities/pick-image-by-index`): $0.001 / run
- [Workflow Utilities Blend Video](https://doitong.com/developers/models/workflow-utilities/blend-video.md) (`workflow-utilities/blend-video`): $0.001 / second of processing time
- [Workflow Utilities Interleave Video](https://doitong.com/developers/models/workflow-utilities/interleave-video.md) (`workflow-utilities/interleave-video`): $0.00017 / second of processing time
- [Workflow Utilities Reverse Video](https://doitong.com/developers/models/workflow-utilities/reverse-video.md) (`workflow-utilities/reverse-video`): $0.001 / second of processing time
- [Workflow Utilities Scale Video](https://doitong.com/developers/models/workflow-utilities/scale-video.md) (`workflow-utilities/scale-video`): $0.001 / second of processing time
- [Workflow Utilities Trim Video](https://doitong.com/developers/models/workflow-utilities/trim-video.md) (`workflow-utilities/trim-video`): $0.001 / second of processing time
- [Workflow Utilities Audio Compressor](https://doitong.com/developers/models/workflow-utilities/audio-compressor.md) (`workflow-utilities/audio-compressor`): $0.001 / second of processing time

## Links

- HTML page: https://doitong.com/developers/models/workflow-utilities/auto-subtitle
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=workflow-utilities/auto-subtitle
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.com/v1/models/workflow-utilities/auto-subtitle
